/*
   -- vulkan max2 --
   
   This source code of graphical user interface 
   has been generated automatically by RemoteXY editor.
   To compile this code using RemoteXY library 3.1.8 or later version 
   download by link http://remotexy.com/en/library/
   To connect using RemoteXY mobile app by link http://remotexy.com/en/download/                   
     - for ANDROID 4.11.1 or later version;
     - for iOS 1.9.1 or later version;
    
   This source code is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.    
*/

//////////////////////////////////////////////
//        RemoteXY include library          //
//////////////////////////////////////////////

//        RemoteXY 
#define REMOTEXY_MODE__ESP8266WIFI_LIB_POINT
#include <ESP8266WiFi.h>
#include <GyverBME280.h>// 
GyverBME280 bme; 
#include <RemoteXY.h>

//   
#define REMOTEXY_WIFI_SSID "Vulcan"
#define REMOTEXY_WIFI_PASSWORD "12345678"
#define REMOTEXY_SERVER_PORT 6377


//    
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =   // 134 bytes
  { 255,3,0,26,0,127,0,16,181,2,71,60,46,27,54,54,0,35,62,62,
  3,32,24,181,75,0,0,0,0,0,0,200,66,0,0,160,65,0,0,32,
  65,0,0,0,64,24,0,36,0,0,0,0,0,0,32,66,121,0,0,32,
  66,0,0,150,66,94,0,0,150,66,0,0,200,66,2,1,14,51,22,11,
  15,2,33,11,32,26,31,31,79,78,0,79,70,70,0,67,6,39,20,20,
  5,34,21,26,9,32,181,11,67,4,6,21,20,5,3,21,25,9,32,181,
  11,7,52,14,53,20,5,11,78,40,10,32,26,32 };
  
//          
struct {

    // input variables
  uint8_t switch_1; // =1     =0  
  int16_t edit_1;  // 32767.. +32767 

    // output variables
  float instrument_1;  // o 0  100 
  char text_1[11];  // = UTF8   
  char text_2[11];  // = UTF8   

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY;
#pragma pack(pop)

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////



void setup() // void setup
{
  RemoteXY_Init (); 
  
  bme.begin();
  Serial.begin(9600);//   
   pinMode (D6,OUTPUT);
   pinMode (D7,OUTPUT);
   pinMode (D5,OUTPUT);
   pinMode (D4,OUTPUT);
  // TODO you setup code
  
}
int a=100;

void loop() 
{ 
  RemoteXY_Handler ();
  if (a>2){
  a=RemoteXY.edit_1;}
  else
  { a=100;}
  Serial.print(a);
 
  Serial.print("Humidity: ");
  Serial.print(bme.readHumidity());//    [%]
  Serial.println(" %");
  RemoteXY.instrument_1=bme.readHumidity();
 // itoa (bme.readTemperature(), RemoteXY.text_1, 10);
 if (bme.readHumidity()<a)
  {
    digitalWrite(D4,1);
    }
    else
    {
      digitalWrite(D4,0);
    }

double val = bme.readTemperature();
  dtostrf(val, 0, 2, RemoteXY.text_2); //   "1234.32"
  // TODO you loop code
  //   RemoteXY   
  //    delay()
   if (bme.readHumidity()<40){
  sprintf(RemoteXY.text_1, "stiffly");//
     if (RemoteXY.switch_1!=0) {
     digitalWrite(D5,HIGH);/*     */
     digitalWrite(D6,LOW);/*     */
    }
    else {
   digitalWrite(D5,LOW) ; /*    */
    }
  }
  else if(bme.readHumidity()<75){
     sprintf(RemoteXY.text_1, "normal");//
        if (RemoteXY.switch_1!=0) {
     digitalWrite(D6,HIGH);/*     */
     digitalWrite(D5,LOW);/*     */
    }
    else {
   digitalWrite(D6,LOW) ; /*    */
    }
     }
     else {
      sprintf(RemoteXY.text_1, "too wet");//
         if (RemoteXY.switch_1!=0) {
     digitalWrite(D6,HIGH);/*     */
     digitalWrite(D5,HIGH);/*     */
    }
    else {
   digitalWrite(D6,LOW) ; /*    */
    digitalWrite(D5,LOW);/*     */
    }
  }

  
  //  void loop
  //   RemoteXY   
  //    delay() 


}